ST_NumBands
Prev | 12.4. Raster Accessors | Next

## Name

ST_NumBands — Returns the number of bands in the raster object.

## Synopsis

`integer ST_NumBands(`raster rast`)`;

## Description

Returns the number of bands in the raster object.

## Examples

    SELECT rid, ST_NumBands(rast) As numbands
    FROM dummy_rast;

    rid | numbands
    ----+----------
      1 |        0
      2 |        3

## See Also

ST_Value

Prev | Up | Next
ST_MetaData | Home | ST_PixelHeight